/*
ContentService tarjoilee palvelimelta tulevan sisällön (content)
sitä tarvitseville komponenteille
*/

import { Injectable } from '@angular/core';
// HttpClient tarvitaan datan lähettämiseen palvelimelle ja sen hakemiseen palvelimelta
import { HttpClient } from '@angular/common/http';
// Palvelimelta tuleva data toimitetaan komponenteille Observablena eli reaktiivisesti.
import { Observable } from 'rxjs';
// tietotyyppi
import { Content } from './content';

@Injectable({
  providedIn: 'root'
})
export class ContentService {
  // valepalvelimen osoite
  serverurl = 'api/content';

  // liitetään eli injektoidaan HttpClient-olio tähän luokkaan konstruktorin argumenttina (Dependency injection)
  constructor(private http: HttpClient) { }

  // Tehdään palvelimelle pyyntö jolla haetaan content-taulukko observablena
  getContent(): Observable<Content[]> {
    return this.http.get<Content[]>(this.serverurl);
    //virheenkäsittely voitaisiin tehdä tähän
  }
}
