import { Component, OnInit } from '@angular/core';
import { ContentService } from '../content.service';
import { Content } from '../content';
import { RouterLink } from '@angular/router';

@Component({
  selector: 'app-navbar',
  standalone: true,
  imports: [RouterLink],
  templateUrl: './navbar.component.html',
  styleUrls: ['./navbar.component.css']
})
export class NavbarComponent implements OnInit {
  // sisältötaulukko tulee palvelimelta content-muuttujaan
  // Jos taulukkoa ei saada palvelimelta, niin undefined-tyyppi on myös mahdollinen
  content: Content[] | undefined;
  // service otetaan käyttöön konstruktorin argumenttina
  constructor(private cservice: ContentService) {
    // tänne voisi määritellä content-taulukolle oletusarvon,
    // jota käytetään jos palvelimeen ei saada yhteyttä.
  }
  // sisällön haku palvelimelta cservicen metodin avulla
  ngOnInit() {
    this.cservice.getContent().subscribe(content => this.content = content);
  }
}
